#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x3ddf499b, "crypto_alloc_skcipher" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e5cd633, "dma_map_sg_attrs" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x1be23acc, "crypto_alloc_shash" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x59a0f596, "dma_unmap_sg_attrs" },
	{ 0x461d16ca, "sg_nents" },
	{ 0x2f278c6d, "boot_cpu_data" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0x87b8798d, "sg_next" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x4629334c, "__preempt_count" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x955a832f, "___preempt_schedule" },
	{ 0xfb578fc5, "memset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6cc98101, "current_task" },
	{ 0xc5850110, "printk" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1f7942d3, "crypto_shash_update" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xabd28771, "crypto_unregister_skcipher" },
	{ 0x6bc9cb64, "crypto_shash_digest" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0xfa348547, "crypto_register_ahash" },
	{ 0x8f43950a, "cxgb4_crypto_send" },
	{ 0x8822d675, "crypto_aead_encrypt" },
	{ 0xce8b1878, "__x86_indirect_thunk_r14" },
	{ 0x9af99c15, "crypto_register_skcipher" },
	{ 0xff2ec162, "crypto_aead_setkey" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6e89f15c, "__alloc_skb" },
	{ 0x11cd3d84, "crypto_skcipher_decrypt" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0x87ed9839, "kfree_skb" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x51d0a9a4, "dma_map_page_attrs" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xf40fec4c, "crypto_destroy_tfm" },
	{ 0xf6d057d5, "crypto_unregister_ahash" },
	{ 0x2689063e, "dev_driver_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf35df74f, "cxgb4_register_uld" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x78a16f48, "aes_decrypt" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x959aa1b8, "crypto_aead_decrypt" },
	{ 0x797aeec1, "crypto_aead_setauthsize" },
	{ 0x1f4aafe1, "crypto_alloc_aead" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7a1bcd59, "gf128mul_x8_ble" },
	{ 0x37a0cba, "kfree" },
	{ 0x4351240a, "crypto_unregister_aead" },
	{ 0x13144cbe, "cxgb4_port_e2cchan" },
	{ 0x674eb24a, "crypto_register_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2fcf1276, "dma_unmap_page_attrs" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6257a2f, "complete" },
	{ 0xb0e602eb, "memmove" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x35a83a4e, "crypto_skcipher_encrypt" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=cxgb4,authenc,gf128mul";


MODULE_INFO(srcversion, "79AD8F3C5EBF39480E72B6E");

MODULE_INFO(suserelease, "SLE15-SP3");
