#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xf7142e7, "param_ops_int" },
	{ 0xefd3b130, "video_ioctl2" },
	{ 0xa4df4c77, "v4l2_event_unsubscribe" },
	{ 0xab909fad, "v4l2_ctrl_subscribe_event" },
	{ 0xe5745481, "v4l2_ctrl_log_status" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x74f0d9fe, "__video_register_device" },
	{ 0x40077def, "videobuf_queue_vmalloc_init" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd37a9beb, "video_device_release_empty" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x17cb3a07, "v4l2_ctrl_new_std" },
	{ 0x77a6dd59, "v4l2_ctrl_handler_init_class" },
	{ 0x2acd2b15, "v4l2_device_register" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0xd22b0ac1, "videobuf_read_one" },
	{ 0x1010e94d, "videobuf_streamon" },
	{ 0xdc17bbd, "v4l2_ctrl_handler_setup" },
	{ 0xbd621d56, "videobuf_queue_is_busy" },
	{ 0xbad46194, "v4l2_fh_release" },
	{ 0xa6f55608, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4df7bd57, "videobuf_mmap_mapper" },
	{ 0xdc5436f7, "videobuf_iolock" },
	{ 0x923bbc75, "videobuf_vmalloc_free" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x7d7f7c71, "__wake_up" },
	{ 0x988fd2fa, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa0e037ac, "v4l2_device_unregister" },
	{ 0xd286298b, "v4l2_ctrl_handler_free" },
	{ 0x6b04d683, "videobuf_mmap_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0x2e55e8f5, "videobuf_poll_stream" },
	{ 0x8edc0e3e, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xae5802a3, "v4l2_fh_open" },
	{ 0xc4db08b5, "_mutex_lock_interruptible" },
	{ 0xc3e04b6b, "videobuf_reqbufs" },
	{ 0x35fe451e, "videobuf_querybuf" },
	{ 0x2271e65e, "videobuf_qbuf" },
	{ 0xaf57082c, "videobuf_dqbuf" },
	{ 0x1645cfa6, "videobuf_streamoff" },
	{ 0xf5df280e, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0x57adff12, "v4l2_device_put" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0x35fe19b5, "v4l2_device_disconnect" },
	{ 0x1fee1d0e, "video_unregister_device" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6A72DB773A4957F659C381");

MODULE_INFO(suserelease, "SLE15-SP3");
