#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xa8826818, "netdev_info" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x47cdda24, "register_candev" },
	{ 0x572b18fb, "alloc_can_err_skb" },
	{ 0x16081ffb, "can_dlc2len" },
	{ 0x7ad16bdc, "netif_carrier_on" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x3b19a51b, "netif_carrier_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0x7f89e005, "usb_unanchor_urb" },
	{ 0x87882789, "can_bus_off" },
	{ 0x3fbd1033, "netif_rx" },
	{ 0xb8b03e54, "__init_waitqueue_head" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0x1f72f44d, "close_candev" },
	{ 0xa47f1e73, "netif_tx_wake_queue" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0xc5850110, "printk" },
	{ 0xb7b5ff2, "alloc_candev_mqs" },
	{ 0xd0cf710f, "free_candev" },
	{ 0xc1c16c50, "usb_free_coherent" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x784a8f0e, "can_change_mtu" },
	{ 0xbe58f299, "can_change_state" },
	{ 0x1389aad3, "_dev_info" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0xcdf946e1, "unregister_candev" },
	{ 0xbdf0ee36, "netif_device_detach" },
	{ 0x5ef5437f, "usb_kill_anchored_urbs" },
	{ 0x2f10fe9e, "alloc_can_skb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x48404f7d, "usb_bulk_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x87ed9839, "kfree_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57d0af91, "netdev_err" },
	{ 0x24530a5d, "open_candev" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x9f2089d9, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x59d42b2, "alloc_canfd_skb" },
	{ 0x8762619a, "can_len2dlc" },
	{ 0xa6257a2f, "complete" },
	{ 0xcaf3679d, "can_get_echo_skb" },
	{ 0xac7ca945, "consume_skb" },
	{ 0xc8d65983, "usb_alloc_coherent" },
	{ 0x1eb63bc, "can_put_echo_skb" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4c6f92d6, "can_free_echo_skb" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0x52c5be18, "usb_anchor_urb" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=can-dev,usbcore";

MODULE_ALIAS("usb:v0BFDp000Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0122d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0104d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0107d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ed*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "648CFDBE320AD2F345B9B61");

MODULE_INFO(suserelease, "SLE15-SP3");
