#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa8826818, "netdev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0x815588a6, "clk_enable" },
	{ 0x13b1eaa3, "phylink_of_phy_connect" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x2f278c6d, "boot_cpu_data" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc833d463, "phylink_ethtool_ksettings_get" },
	{ 0x2584508c, "__mdiobus_register" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xba5ed55e, "devm_ioremap_resource" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd07c1b01, "dma_free_attrs" },
	{ 0x5fae5032, "phylink_ethtool_ksettings_set" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c7de3b5, "mdiobus_unregister" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x98f16a6b, "devm_clk_get_optional" },
	{ 0x2b788455, "__platform_driver_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0x580ac938, "__netdev_alloc_skb" },
	{ 0x3fbd1033, "netif_rx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xa47f1e73, "netif_tx_wake_queue" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xf61c0741, "ethtool_op_get_link" },
	{ 0x5fdad6e1, "mdiobus_free" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x758e58df, "free_netdev" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0x4d59f913, "dma_alloc_attrs" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xc48e8473, "dev_close" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x180d2eba, "__dev_kfree_skb_irq" },
	{ 0x1c1118b6, "platform_get_resource" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x82072614, "tasklet_kill" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xbdf0ee36, "netif_device_detach" },
	{ 0x12a38747, "usleep_range" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x51d0a9a4, "dma_map_page_attrs" },
	{ 0xf7acc3b5, "eth_type_trans" },
	{ 0x2689063e, "dev_driver_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57d0af91, "netdev_err" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x9f2089d9, "netdev_warn" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2fcf1276, "dma_unmap_page_attrs" },
	{ 0xba58dd5e, "unregister_netdev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xac7ca945, "consume_skb" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0x9c7b1c11, "platform_driver_unregister" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x506c2e44, "skb_put" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe484e35f, "ioread32" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1a4decb2, "alloc_etherdev_mqs" },
	{ 0x599fb2ec, "mdiobus_alloc_size" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=phylink,libphy";

MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.00.a");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.00.aC*");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.01.a");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.01.aC*");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-2.01.a");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-2.01.aC*");

MODULE_INFO(srcversion, "8D385A57CBBA1F9CC2B11F5");

MODULE_INFO(suserelease, "SLE15-SP3");
