#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0xed0cc47c, "eth_mac_addr" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0x4e73593f, "__dev_kfree_skb_any" },
	{ 0x188ce284, "pskb_expand_head" },
	{ 0x337d6855, "usb_autopm_get_interface" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa4105694, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc8d65983, "usb_alloc_coherent" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb5e404fa, "usb_reset_configuration" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x1a4decb2, "alloc_etherdev_mqs" },
	{ 0x64ea6226, "release_firmware" },
	{ 0xbd7e9027, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xae235d77, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6e2f510d, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb8b03e54, "__init_waitqueue_head" },
	{ 0x3fbd1033, "netif_rx" },
	{ 0xf7acc3b5, "eth_type_trans" },
	{ 0x506c2e44, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x580ac938, "__netdev_alloc_skb" },
	{ 0x7ad16bdc, "netif_carrier_on" },
	{ 0xad77a72f, "usb_autopm_put_interface" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x180d2eba, "__dev_kfree_skb_irq" },
	{ 0xa47f1e73, "netif_tx_wake_queue" },
	{ 0xe043e05e, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0x758e58df, "free_netdev" },
	{ 0xc1c16c50, "usb_free_coherent" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0xba58dd5e, "unregister_netdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0x7d7f7c71, "__wake_up" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "FEE2A3416AD8C60D5C82472");

MODULE_INFO(suserelease, "SLE15-SP3");
