#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x36d1a26e, "orinoco_tx_timeout" },
	{ 0x4fc77323, "orinoco_change_mtu" },
	{ 0x22c143ce, "eth_validate_addr" },
	{ 0xed0cc47c, "eth_mac_addr" },
	{ 0x54a548a8, "orinoco_set_multicast_list" },
	{ 0x2457d35d, "orinoco_stop" },
	{ 0xd8dcd53f, "orinoco_open" },
	{ 0xeda7f3c7, "usb_deregister" },
	{ 0x2d2027ce, "usb_register_driver" },
	{ 0xf4a6358e, "free_orinocodev" },
	{ 0x180d8d38, "wiphy_unregister" },
	{ 0x38de8e62, "orinoco_if_del" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0x64ea6226, "release_firmware" },
	{ 0xd47c49f2, "orinoco_if_add" },
	{ 0x6764e332, "orinoco_init" },
	{ 0xbd7e9027, "request_firmware" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x76fe4069, "alloc_orinocodev" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8d663049, "orinoco_process_xmit_skb" },
	{ 0xac7ca945, "consume_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6cc98101, "current_task" },
	{ 0x715f649e, "finish_swait" },
	{ 0x302882e8, "prepare_to_swait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xa6f55608, "usb_control_msg" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xe043e05e, "usb_unlink_urb" },
	{ 0xd00bf8dd, "__orinoco_ev_rx" },
	{ 0xd3e4f3d6, "__orinoco_ev_info" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xa47f1e73, "netif_tx_wake_queue" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x196a25ab, "usb_free_urb" },
	{ 0x43999a92, "__dynamic_netdev_dbg" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x170fa8b4, "usb_alloc_urb" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc5850110, "printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "73A1D428DEAF76FD2012426");

MODULE_INFO(suserelease, "SLE15-SP3");
