#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xf1369525, "usb_serial_generic_get_icount" },
	{ 0x2e0fe86d, "usb_serial_generic_tiocmiwait" },
	{ 0x54ded330, "param_ops_bool" },
	{ 0xf7142e7, "param_ops_int" },
	{ 0x217f52e2, "usb_serial_deregister_drivers" },
	{ 0xc7978814, "usb_serial_register_drivers" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x48404f7d, "usb_bulk_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x64ea6226, "release_firmware" },
	{ 0xbd7e9027, "request_firmware" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xb8b9f817, "kmalloc_order_trace" },
	{ 0xc33663cb, "usb_clear_halt" },
	{ 0xc4db08b5, "_mutex_lock_interruptible" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbd9fc976, "tty_wakeup" },
	{ 0x2e7550a8, "tty_kref_put" },
	{ 0x91680ff3, "tty_port_tty_get" },
	{ 0x7d7f7c71, "__wake_up" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x94c75ee6, "device_create_file" },
	{ 0x40a7cd9a, "__rt_spin_lock_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5fce3878, "device_remove_file" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0x289299f0, "usb_kill_urb" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2f740f79, "tty_encode_baud_rate" },
	{ 0x37a0cba, "kfree" },
	{ 0x409873e3, "tty_termios_baud_rate" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0xa6f55608, "usb_control_msg" },
	{ 0xda44f2a9, "tty_flip_buffer_push" },
	{ 0x6003b9a1, "tty_insert_flip_string_fixed_flag" },
	{ 0x11b8a4bb, "usb_submit_urb" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0215d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0240d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0241d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0302d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0303d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0304d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0306d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0307d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0308d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0309d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p030Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0205d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0207d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p020Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p020Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0217d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0206d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p021Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0242d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0244d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0243d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0212d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0247d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p1A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1BA8883DE83B7779A65F237");

MODULE_INFO(suserelease, "SLE15-SP3");
