#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0x92c7da6d, "snd_soc_dai_active" },
	{ 0x4958f3b6, "snd_soc_dapm_get_enum_double" },
	{ 0x3a32e179, "i2c_del_driver" },
	{ 0x2dd2a3, "snd_soc_dapm_get_volsw" },
	{ 0x5d5bda44, "regmap_update_bits_base" },
	{ 0x1deccc4e, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0x64f4f186, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xac3a6e01, "snd_soc_component_update_bits" },
	{ 0x25b7c647, "snd_soc_put_volsw" },
	{ 0x9dc03abb, "regmap_read" },
	{ 0xd00fa3a6, "snd_soc_get_volsw" },
	{ 0x9f2b952, "snd_soc_info_enum_double" },
	{ 0xbb9f6e92, "acpi_match_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa6bad95c, "snd_soc_dapm_add_routes" },
	{ 0xce6d404b, "snd_soc_put_volsw_range" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0xf24340ee, "snd_soc_add_component_controls" },
	{ 0x9510bb26, "snd_soc_info_volsw_range" },
	{ 0xe1a95ba0, "snd_soc_bytes_info" },
	{ 0xfd91f2e0, "snd_soc_dapm_put_volsw" },
	{ 0x296ea71f, "snd_soc_get_volsw_range" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0xf84da1ce, "snd_soc_info_volsw" },
	{ 0xdb4ac265, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x1389aad3, "_dev_info" },
	{ 0x7e9af038, "snd_soc_get_enum_double" },
	{ 0x68f40ab6, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb00ed383, "__devm_regmap_init_i2c" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5de3c855, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x5745edbd, "devm_snd_soc_register_component" },
	{ 0x99bbb964, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b21d4b, "devm_clk_get" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xf6001766, "regcache_mark_dirty" },
	{ 0x9999176c, "snd_soc_put_enum_double" },
	{ 0xcb4e45e8, "snd_soc_bytes_get" },
	{ 0x287126f8, "snd_soc_component_read" },
	{ 0xbaf8342a, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ac4b17f, "snd_soc_jack_report" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0xd2bc870e, "devm_request_threaded_irq" },
	{ 0xc94b275b, "regmap_write" },
	{ 0xfc8e1655, "regcache_sync" },
	{ 0x63a7f2da, "is_acpi_device_node" },
	{ 0x768af6a5, "regcache_cache_only" },
	{ 0xebedb5d1, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "4B6E68B4B81D8F29BB9D0CC");

MODULE_INFO(suserelease, "SLE15-SP3");
