#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x821f99f5, "ahci_platform_ops" },
	{ 0xf5909906, "ahci_sdev_attrs" },
	{ 0x46a91d54, "ahci_shost_attrs" },
	{ 0xb50403b9, "ata_scsi_unlock_native_capacity" },
	{ 0xab12687, "ata_std_bios_param" },
	{ 0x6081f4c, "ata_scsi_dma_need_drain" },
	{ 0x8d785576, "ata_scsi_change_queue_depth" },
	{ 0x6a0cfa00, "ata_scsi_slave_destroy" },
	{ 0xd927f9cb, "ata_scsi_slave_config" },
	{ 0x56c6dba3, "ata_scsi_queuecmd" },
	{ 0xbcbded8c, "ata_scsi_ioctl" },
	{ 0xbac20e59, "ahci_platform_resume" },
	{ 0xc286edc3, "ahci_platform_suspend" },
	{ 0xf5991b7a, "ahci_platform_shutdown" },
	{ 0xb79d16e9, "ata_platform_remove_one" },
	{ 0x9c7b1c11, "platform_driver_unregister" },
	{ 0x2b788455, "__platform_driver_register" },
	{ 0x71d28612, "ahci_platform_disable_resources" },
	{ 0x94eb3650, "ahci_platform_init_host" },
	{ 0x4e2494ce, "acpi_device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5acb2674, "ahci_platform_enable_resources" },
	{ 0x6f719df, "ahci_platform_get_resources" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libahci_platform,libahci,libata";

MODULE_ALIAS("acpi*:APMC0D33:*");
MODULE_ALIAS("acpi*:010601:*");
MODULE_ALIAS("of:N*T*Cgeneric-ahci");
MODULE_ALIAS("of:N*T*Cgeneric-ahciC*");
MODULE_ALIAS("of:N*T*Csnps,spear-ahci");
MODULE_ALIAS("of:N*T*Csnps,spear-ahciC*");
MODULE_ALIAS("of:N*T*Cibm,476gtr-ahci");
MODULE_ALIAS("of:N*T*Cibm,476gtr-ahciC*");
MODULE_ALIAS("of:N*T*Csnps,dwc-ahci");
MODULE_ALIAS("of:N*T*Csnps,dwc-ahciC*");
MODULE_ALIAS("of:N*T*Chisilicon,hisi-ahci");
MODULE_ALIAS("of:N*T*Chisilicon,hisi-ahciC*");
MODULE_ALIAS("of:N*T*Ccavium,octeon-7130-ahci");
MODULE_ALIAS("of:N*T*Ccavium,octeon-7130-ahciC*");

MODULE_INFO(srcversion, "AC66D37BF714C06CEE57ECB");

MODULE_INFO(suserelease, "SLE15-SP3");
