#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3a32e179, "i2c_del_driver" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0xa1b944e0, "regulator_disable" },
	{ 0x4183346b, "i2c_transfer" },
	{ 0xb76dda9, "input_alloc_absinfo" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe61e8d37, "input_mt_report_pointer_emulation" },
	{ 0x7258107d, "input_set_abs_params" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8f3d0a32, "input_event" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0xe01fc2a6, "i2c_smbus_read_byte" },
	{ 0x557c818d, "input_set_capability" },
	{ 0xd7b0bd68, "i2c_smbus_write_byte" },
	{ 0x79e181b0, "irq_get_irq_data" },
	{ 0x197cc327, "input_mt_init_slots" },
	{ 0xfe3621e2, "device_init_wakeup" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0xdb4ac265, "i2c_register_driver" },
	{ 0x389f31bb, "devm_add_action" },
	{ 0x1389aad3, "_dev_info" },
	{ 0xe5b274eb, "i2c_smbus_write_block_data" },
	{ 0xe6eb8071, "devm_regulator_get" },
	{ 0x68f40ab6, "device_property_read_u32_array" },
	{ 0x63ce2034, "i2c_smbus_read_block_data" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x6bc07245, "input_register_device" },
	{ 0x5de3c855, "pm_wakeup_dev_event" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xe27d0ee8, "i2c_transfer_buffer_flags" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0x415957cd, "devm_input_allocate_device" },
	{ 0x99d63b58, "input_mt_report_slot_state" },
	{ 0xbd7e9027, "request_firmware" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6257a2f, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd2bc870e, "devm_request_threaded_irq" },
	{ 0x64ea6226, "release_firmware" },
	{ 0xafc9e00e, "devm_device_add_groups" },
	{ 0xb5821916, "device_property_present" },
	{ 0xc4db08b5, "_mutex_lock_interruptible" },
	{ 0x1ca2f34b, "regulator_enable" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN062E:*");
MODULE_ALIAS("acpi*:ELAN062F:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN0633:*");
MODULE_ALIAS("acpi*:ELAN0634:*");
MODULE_ALIAS("acpi*:ELAN0635:*");
MODULE_ALIAS("acpi*:ELAN0636:*");
MODULE_ALIAS("acpi*:ELAN0637:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "D948344FA0F6464D9B43CBF");

MODULE_INFO(suserelease, "SLE15-SP3");
