#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0xe9d18ef4, "driver_unregister" },
	{ 0x7c12fa97, "uart_unregister_driver" },
	{ 0x3a32e179, "i2c_del_driver" },
	{ 0x3ec0b7d2, "__spi_register_driver" },
	{ 0xdb4ac265, "i2c_register_driver" },
	{ 0xc5850110, "printk" },
	{ 0x1dd576d4, "uart_register_driver" },
	{ 0xb00ed383, "__devm_regmap_init_i2c" },
	{ 0x447f1a21, "spi_get_device_id" },
	{ 0x46333656, "__devm_regmap_init_spi" },
	{ 0x4edc4f6d, "device_get_match_data" },
	{ 0xa8767dfe, "spi_setup" },
	{ 0x1fe533fc, "__dynamic_dev_dbg" },
	{ 0xd2bc870e, "devm_request_threaded_irq" },
	{ 0x832462f6, "uart_add_one_port" },
	{ 0x29aca1df, "gpiochip_remove" },
	{ 0xb84c910c, "uart_remove_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xec94be50, "kthread_stop" },
	{ 0x64a9d0b2, "gpiochip_add_data_with_key" },
	{ 0x9feb9998, "sched_setscheduler" },
	{ 0x2d2696b2, "wake_up_process" },
	{ 0x61ed1da7, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xde806de0, "__kthread_init_worker" },
	{ 0x99c1f99, "__mutex_do_init" },
	{ 0x921d441d, "__rt_mutex_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2b21d4b, "devm_clk_get" },
	{ 0x68f40ab6, "device_property_read_u32_array" },
	{ 0x159ffeb5, "devm_kmalloc" },
	{ 0x9035970e, "rt_spin_unlock" },
	{ 0xa9f09e27, "rt_spin_lock" },
	{ 0x4ec179a0, "_dev_warn" },
	{ 0xb843c858, "do_SAK" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0xda44f2a9, "tty_flip_buffer_push" },
	{ 0x301d1cf5, "uart_insert_char" },
	{ 0xfbe1b95c, "regmap_raw_read" },
	{ 0x68f76137, "gpiochip_get_data" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7400bd80, "uart_update_timeout" },
	{ 0x48115751, "uart_get_baud_rate" },
	{ 0x83aded74, "_mutex_unlock" },
	{ 0xab0af3a1, "_mutex_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x16fbadf9, "uart_write_wakeup" },
	{ 0x88c77efd, "regmap_raw_write" },
	{ 0xab5c91f0, "regcache_cache_bypass" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9dc03abb, "regmap_read" },
	{ 0x44e4d0d5, "_dev_err" },
	{ 0x824e903f, "kthread_queue_work" },
	{ 0x6eaa24bd, "kthread_flush_worker" },
	{ 0xc94b275b, "regmap_write" },
	{ 0x5d5bda44, "regmap_update_bits_base" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "17C090287E4439D8C84DEBE");

MODULE_INFO(suserelease, "SLE15-SP3");
