#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2b16133f, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x380a1455, "kmalloc_caches" },
	{ 0x2ed3438a, "snd_hdac_regmap_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3784708e, "snd_hda_gen_free" },
	{ 0x75fec40, "snd_hda_mixer_amp_volume_put" },
	{ 0x67124593, "snd_hdac_codec_read" },
	{ 0xd3f17d4e, "snd_hda_enum_helper_info" },
	{ 0x46410d73, "snd_hda_gen_parse_auto_config" },
	{ 0x8463e583, "snd_hda_add_verbs" },
	{ 0x1e52156c, "snd_hda_apply_fixup" },
	{ 0x42fed200, "snd_hda_pick_fixup" },
	{ 0x3b73ac2d, "snd_hda_mixer_amp_tlv" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7d7d948f, "snd_hda_gen_build_pcms" },
	{ 0x3ece813b, "snd_hda_override_conn_list" },
	{ 0xcb6dfe95, "snd_hda_check_amp_list_power" },
	{ 0x9be80037, "snd_hda_jack_unsol_event" },
	{ 0x9fde0ae, "snd_hda_codec_set_pincfg" },
	{ 0x60381c07, "snd_hda_mixer_amp_switch_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xca236e22, "snd_hda_mixer_amp_volume_get" },
	{ 0x4fc5cdd8, "snd_hda_codec_set_name" },
	{ 0xad449e65, "snd_hda_mixer_amp_switch_get" },
	{ 0xa52bc1f3, "snd_hda_gen_init" },
	{ 0x182a639c, "snd_hda_parse_pin_defcfg" },
	{ 0x882011fd, "__hda_codec_driver_register" },
	{ 0xd4c0c422, "snd_hda_override_amp_caps" },
	{ 0xea733f00, "snd_ctl_boolean_mono_info" },
	{ 0xc449b53b, "snd_hda_get_bool_hint" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x112447f6, "_snd_hdac_read_parm" },
	{ 0xc694253e, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7756cbb7, "kmem_cache_alloc_trace" },
	{ 0x6f715d98, "snd_hda_gen_add_kctl" },
	{ 0x31034e95, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x44b4f0e8, "snd_hdac_codec_write" },
	{ 0xc09cc4ee, "snd_hda_codec_get_pincfg" },
	{ 0xfd332e51, "hda_codec_driver_unregister" },
	{ 0x761b53b2, "snd_hda_mixer_amp_switch_info" },
	{ 0xff59f3dd, "snd_hda_gen_spec_init" },
	{ 0x7fa30892, "snd_hdac_regmap_read_raw" },
	{ 0x117ca3f5, "snd_hda_mixer_amp_volume_info" },
	{ 0x364b4e4, "snd_hda_gen_build_controls" },
	{ 0x695fff0b, "snd_hda_get_connections" },
	{ 0x28c4cc5, "snd_hda_shutup_pins" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-core,snd-hda-codec-generic,snd-hda-codec,snd";

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "962C12EC1D2079A7A419A1A");

MODULE_INFO(suserelease, "SLE15-SP3");
